<div class="d-flex justify-content-center">
  <div class="col-8">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
      <h2
        id="jhi-nature-position-irreguliere-heading"
        data-cy="NaturePositionIrreguliereCreateUpdateHeading"
        jhiTranslate="gestionPersonnel3App.naturePositionIrreguliere.home.createOrEditLabel"
      >
        Créer ou éditer un Nature Position Irreguliere
      </h2>

      <div>
        <jhi-alert-error></jhi-alert-error>

        <div class="row mb-3" *ngIf="editForm.controls.id.value !== null">
          <label class="form-label" jhiTranslate="global.field.id" for="field_id">ID</label>
          <input type="number" class="form-control" name="id" id="field_id" data-cy="id" formControlName="id" [readonly]="true" />
        </div>

        <div class="row mb-3">
          <label
            class="form-label"
            jhiTranslate="gestionPersonnel3App.naturePositionIrreguliere.naturePositionIrreguliere"
            for="field_naturePositionIrreguliere"
            >Nature Position Irreguliere</label
          >
          <input
            type="text"
            class="form-control"
            name="naturePositionIrreguliere"
            id="field_naturePositionIrreguliere"
            data-cy="naturePositionIrreguliere"
            formControlName="naturePositionIrreguliere"
          />
        </div>
      </div>

      <div>
        <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" (click)="previousState()">
          <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Annuler</span>
        </button>

        <button
          type="submit"
          id="save-entity"
          data-cy="entityCreateSaveButton"
          [disabled]="editForm.invalid || isSaving"
          class="btn btn-primary"
        >
          <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Sauvegarder</span>
        </button>
      </div>
    </form>
  </div>
</div>
